View Issue Details

IDProjectCategoryView StatusLast Update
0002112SymmetricDSBugpublic2014-12-26 08:37
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.6.16 
Target Version3.6.17Fixed in Version3.6.17 
Summary0002112: When lots of unrouted data exists with small transactions, the peek ahead queue can get big and cause out of memory errors
DescriptionWhen lots of unrouted data exists with small transactions, the peek ahead queue can get big and cause out of memory errors
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d2264975

2014-12-23 20:05:45

chenson

Details Diff
0002112: When lots of unrouted data exists with small transactions, the peek ahead queue can get big and cause out of memory errors
0002112
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/ProcessInfo.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/ProcessInfoDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ChannelRouterContext.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapDetector.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/route/DataGapRouteReaderTest.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/CsvData.java Diff File

Issue History

Date Modified Username Field Change
2014-12-23 20:05 chenson New Issue
2014-12-23 20:05 chenson Status new => assigned
2014-12-23 20:05 chenson Assigned To => chenson
2014-12-23 20:06 chenson Status assigned => resolved
2014-12-23 20:06 chenson Fixed in Version => 3.6.17
2014-12-23 20:06 chenson Resolution open => fixed
2014-12-23 21:00 chenson Changeset attached => SymmetricDS 3.6 r9111
2014-12-23 21:00 chenson Changeset attached => SymmetricDS trunk r9112
2014-12-26 08:37 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d2264975